Subject: Re: bug#25177: python-tests: python-oslosphinx fixed. Please evaluate.

From: Marius Bakke <[email-masked]>
Date: Fri, 24 Feb 2017 23:36:58 +0100

Ricardo Wurmus <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Ricardo Wurmus <[email-masked]> writes:
>>
>>> Ricardo Wurmus <[email-masked]> writes:
>>>
>>>> Leo Famulari <[email-masked]> writes:
>>>>
>>>>> On Tue, Feb 21, 2017 at 06:30:12PM +0100, Ricardo Wurmus wrote:
>>>>>> From 1ac5166df11766b47cd1ac723a464063a89afc96 Mon Sep 17 00:00:00 2001
>>>>>> From: Ricardo Wurmus <[email-masked]>
>>>>>> Date: Tue, 21 Feb 2017 18:28:21 +0100
>>>>>> Subject: [PATCH] gnu: python-dendropy: Disable failing tests.
>>>>>>
>>>>>> * gnu/packages/bioinformatics.scm (python-dendropy): Disable two failing
>>>>>> tests.
>>>>>
>>>>> LGTM
>>>>
>>>> The problem was fixed in the upstream commit 93f984b in response to my
>>>> bug report:
>>>>
>>>>     https://github.com/jeetsukumaran/DendroPy/commit/93f984bba7a6c588a28ca87f4e557ce283809453
>>>>
>>>> I believe we can just backport this fix instead of deleting the test.
>>>
>>> Here’s a patch that fixes the tests by applying the changes of the
>>> upstream commit.  If this is fine I’ll push it to the python-tests
>>> branch.
>>
>> I tried this patch, and guess the reason it was not pushed is because
>> dendropy now has a different failure. Can you look into it?
>
> Oh?  I didn’t get an error building it on the “python-tests” branch on
> x86_64.  Could you show me the error messages you get?
>
> (I didn’t build python2-dendropy.)

Strange. Here python2-dendropy builds fine, but python-dendropy fails:

======================================================================
FAIL: test_collection_comments_and_annotations (dendropy.test.test_dataio_nexml_reader_tree_list.NexmlStandardTreeParsingTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/guix-build-python-dendropy-4.2.0.drv-0/DendroPy-4.2.0/dendropy/test/test_dataio_nexml_reader_tree_list.py", line 60, in test_collection_comments_and_annotations
    expected_metadata)
  File "/tmp/guix-build-python-dendropy-4.2.0.drv-0/DendroPy-4.2.0/dendropy/test/support/standard_file_test_trees.py", line 127, in compare_annotations_to_json_metadata_dict
    self.assertEqual(item_annotations_as_dict, expected_metadata)
AssertionError: {'$_demivotary_#_monumentlike': 31, 'mangan[226 chars]alse} != {'Merycoidodon_%_$_permeant': 'envyingly247[236 chars]'31'}
Diff is 711 characters long. Set self.maxDiff to None to see it.

----------------------------------------------------------------------
Ran 840 tests in 263.965s

FAILED (failures=1)
phase `check' failed after 266.1 seconds
builder for `/gnu/store/af6rm6s8g3cid461pvhl1j0fsyp06ifq-python-dendropy-4.2.0.drv' failed with exit code 1